package com.ydl.webview

import android.content.Intent
import com.alibaba.android.arouter.launcher.ARouter
import com.ydl.ydlcommon.modular.ModularServiceManager
import com.yidianling.user.api.service.IUserService

/**
 * Created by haorui on 2019-10-10.
 * Des:
 */
class WebModularServiceUtils {
    companion object {
        fun getUserService(): IUserService {
            return ModularServiceManager.provide(IUserService::class.java)
        }

        fun getWebService(): IWebService {
            return ModularServiceManager.provide(IWebService::class.java)
        }

        fun  startMain(){
            ARouter.getInstance().build("/main/main")
                .withFlags(Intent.FLAG_ACTIVITY_CLEAR_TOP)
                .navigation()
        }
    }
}
